#############################################################################
############################## PARAMETER SWEEP ##############################
#############################################################################

link_along_distance:
 value_list: [1, 2, 5, 10, 30]
 stage: LINK_PROPOSAL

link_across_min_distance_traveled:
 value_list: [2, 5]
 stage: LINK_PROPOSAL

link_across_max_distance:
  value_list: [10, 15, 35, 45, 55, 65]
  stage: LINK_PROPOSAL

link_across_index_interval_m:
 value_list: [2, 10]
 stage: LINK_PROPOSAL

unary_distance_interval_m:
  value_list: [2, 5, 20, 30, 40, 50, 75, 100]
  stage: LINK_PROPOSAL

lidar_xyz_covariance:
  value_list: [0.00007, 0.00015, 0.0003, 0.0006, 0.00125, 0.005, 0.01]
  stage: POSE_GRAPH_EST

lidar_rpy_covariance:
 value_list: [0.0000015, 0.000006, 0.000012]
 stage: POSE_GRAPH_EST

mofo_time_scale_bool:
 value_list: [False]
 stage: POSE_GRAPH_EST

mofo_time_scale_factor:
 value_list: [25, 50, 500]
 stage: POSE_GRAPH_EST

mofo_velocity_scale_bool:
 value_list: [False]
 stage: POSE_GRAPH_EST

mofo_velocity_scale_factor:
 value_list: [10, 20, 200]
 stage: POSE_GRAPH_EST

lidar_huber_loss:
  value_list: [0.075, 0.15, 0.6, 1.0, 1.5, 2.0, 3.0, 5.0]
  stage: POSE_GRAPH_EST

outlier_angular_threshold:
 value_list: [0.05, 0.2]
 stage: POSE_GRAPH_EST

outlier_translational_threshold:
 value_list: [0.25, 1]
 stage: POSE_GRAPH_EST

DEFAULT:
 value_list: [0]
 stage: LINK_PROPOSAL

# CUSTOM:
#   value_list: [0]
#   stage: LINK

# CUSTOM:
#   value_list: [1]
#   stage: POSE_GRAPH_EST
